# Uses of Interface
org.opensaml.saml.saml1.core.Request

Packages that use Request
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml1.testing

## Uses of Request in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type Request
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml1Request(Request request)`
Resolve the SAML entity ID from a SAML 1 request.

## Uses of Request in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Request
Modifier and Type
Class
Description
`class`
`RequestImpl`
Concrete implementation of `Request`.
Methods in org.opensaml.saml.saml1.core.impl that return Request
Modifier and Type
Method
Description
`Request`
RequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Request`
RequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of Request in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl declared as Request
Modifier and Type
Field
Description
`private Request`
ResolveArtifacts.`request`
Request to process.
Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type Request
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Request>`
ResolveArtifacts.`requestLookupStrategy`
Strategy used to locate the `Request` to operate on.
Method parameters in org.opensaml.saml.saml1.profile.impl with type arguments of type Request
Modifier and Type
Method
Description
`void`
ResolveArtifacts.`setRequestLookupStrategy(Function<ProfileRequestContext,Request> strategy)`
Set the strategy used to locate the `Request` to operate on.

## Uses of Request in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return Request
Modifier and Type
Method
Description
`static Request`
SAML1ActionTestingSupport.`buildArtifactRequest(String... artifacts)`
Builds a `Request` containing `AssertionArtifact`s.
`static Request`
SAML1ActionTestingSupport.`buildAttributeQueryRequest(Subject subject)`
Builds a `Request` containing an `AttributeQuery`.